Mozbot tries to divide by zero

VERIFIED WONTFIX

Status

Webtools
Mozbot
P3
normal
VERIFIED WONTFIX
18 years ago
9 years ago

People

(Reporter: David Krause, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

18 years ago
Using mozbot version 1.65 on OpenBSD, several bots crashed with a divide by zero
error.

<SNIP>
06/02/2000 17:35 fetching tinderbox status [977]
06/02/2000 17:35 fetching FTP ftp.mozilla.org nightly/latest [977]
06/02/2000 17:36 #mozmail  [977]
06/02/2000 17:41 fetching FTP ftp.mozilla.org nightly/latest [977]
06/02/2000 17:41 #mozmail  [977]
06/02/2000 17:41 fetching tinderbox status [977]
06/02/2000 17:44 fetching stock quotes
http://quote.yahoo.com/d/quotes.csv?f=sl1d1t1c1ohgv&e=.csv&s=AOL+RHAT+^DJI+^IXIC
[977]
06/02/2000 17:44 parsing stock quote AOL (57)
"AOL",57,"6/2/2000","6:08PM",+3.87 [977]7.625,55,17200900
Illegal division by zero at ./mozbot.pl line 1100 (#2)
(F) You tried to divide a number by 0.  Either something was wrong in
your
logic, or you need to put a conditional in to guard against
meaningless input.
Uncaught exception from user code:
Illegal division by zero at ./mozbot.pl line 1100.
main::stocks('Net::IRC::Connection=HASH(0x8fbb4)') called at
/usr/local/libdata/perl5/site_perl/Net/IRC.pm line 121
Net::IRC::do_one_loop('Net::IRC=HASH(0x8faa0)') called at
/usr/local/libdata/perl5/site_perl/Net/IRC.pm line 289
Net::IRC=HASH(0x8faa0)') called at ./mozbot.pl line 1241
</SNIP>


<SNIP>
05/29/2000 14:29 fetching stock quotes  http://quote.yahoo.com/d/quotes.csv?f=
sl1d1t1c1ohgv&e=.csv&s=AOL+RHAT+^DJI+^IXIC [17373]
05/29/2000 14:29 parsing stock quote AOL (48.5) AOL,48.5,5/26/2000,6:25PM,
[17373]25,50.1875,48.3125,8314700
Illegal division by zero at ./mozbot.pl line 1100, <DATA> chunk 462 (#2)
(F) You tried to divide a number by 0.  Either something was wrong in your
logic, or you need to put a conditional in to guard against meaningless input.
Uncaught exception from user code:
Illegal division by zero at ./mozbot.pl line 1100, <DATA> chunk 462.
main::stocks('Net::IRC::Connection=HASH(0x8fbb4)') called at
/usr/local/libdata/perl5/site_perl/Net/IRC.pm line 121
Net::IRC::do_one_loop('Net::IRC=HASH(0x8faa0)') called at
/usr/local/libdata/perl5/site_perl/Net/IRC.pm line 289
Net::IRC::start('Net::IRC=HASH(0x8faa0)') called at ./mozbot.pl line 1241
</SNIP>


<SNIP>
05/29/2000 14:28 fetching FTP ftp.mozilla.org nightly/latest [29291]
05/29/2000 14:28 #mozbot  [29291]
05/29/2000 14:29 fetching rdfchannel http://www.mozilla.org/news.rdf [29291]
05/29/2000 14:29 fetching rdfchannel http://www.mozilla.org/xpfe/toolkit.rdf [29291]
05/29/2000 14:29 fetching stock quotes  http://quote.yahoo.com/d/quotes.csv?f=
sl1d1t1c1ohgv&e=.csv&s=AOL+RHAT+^DJI+^IXIC [29291]
05/29/2000 14:29 parsing stock quote AOL (48.5) AOL,48.5,5/26/2000,6:25PM,
[29291]25,50.1875,48.3125,8314700
Illegal division by zero at ./mozbot.pl line 1100 (#1)
(F) You tried to divide a number by 0.  Either something was wrong in your
logic, or you need to put a conditional in to guard against meaningless input.
Uncaught exception from user code:
Illegal division by zero at ./mozbot.pl line 1100.
main::stocks('Net::IRC::Connection=HASH(0x59fdf8)') called at
/usr/local/libdata/perl5/site_perl/Net/IRC.pm line 121
Net::IRC::do_one_loop('Net::IRC=HASH(0x59fd68)') called at
/usr/local/l05/29/2000 14:28 #mozbot  [29291]
05/29/2000 14:29 fetching rdfcht('N05/29/2000 14:29 fetching rdfchaat05/29/2000
14:29 fetch
</SNIP>
From the logs, it looks like an error in the stocks parsing code; probably in
the fraction function.

I may fix this when I port the stocks code to mozbot2.
(Reporter)

Comment 2

18 years ago
This would probably also be fixed when decimalization is started on the stock
exchange.... :)
(Reporter)

Comment 3

18 years ago
Yay!  Setting OS to new OpenBSD field :)

This bug is probably not specific to OpenBSD but that's the only one I run
mozbot's on.
OS: other → OpenBSD
This is NOT fixed in oopsbot since I have not written (and am not planning to
write) a stocks module.
New QA.
QA Contact: matty → timeless

Updated

17 years ago
Depends on: 70874

Comment 6

17 years ago
.
Assignee: terry → nobody
QA Contact: timeless → timeless
The mozbot2 stocks module doesn't divide.
Status: NEW → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → WONTFIX

Updated

16 years ago
QA Contact: timeless → kerz
QA Contact: kerz → mozbot
David: Do you still see this bug?
Verified Wontfix since there is no new information.

David: if you have any updates please let us know.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.